[blfs-support] PHP-5.5.4 and MySQLi - BLFS Book

Dr.-Ing. Edgar Alwers edgaralwers at gmx.de
Fri Sep 27 06:02:34 PDT 2013


Hi Bruce,

the "conf.sample.inc.php" configuration file for phpMyAdmin defines "mysqli" 
as default :
$cfg['Servers'][$i]['extension'] = 'mysqli'

http://www.php.net/manual/en/mysqli.overview.php#mysqli.overview.mysqlnd
quoting this manual:
"If you are using MySQL versions 4.1.3 or later it is strongly recommended 
that you use the mysqli extension instead."

I am wondering, if ./configure  PHP-5.5.4  ( Book § 13) should not include the 
statement
"  --with-mysqli=mysqlnd \"
This could save debugging time. What do you think ?

Regards,
Edgar
-- 
Dr.-Ing. Edgar Alwers <edgaralwers at gmx.de>
GPG Key ID:AD5C6F70



More information about the blfs-support mailing list